> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# Get Vendor

GET https://api.coperniq.io/v1/vendors/{vendor_id}

Retrieve a specific vendor by ID.

Reference: https://docs.coperniq.io/api-reference/vendors/get-vendor

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `vendor_id` (string, required)

### Query parameters

- `include_contacts` (boolean, optional, default: false) — Whether to include associated contacts in the response. Defaults to false unless explicitly set to true.

## Response

### 200

Vendor details

- `id` (integer, optional) — Unique identifier
- `createdAt` (string, optional) — Creation timestamp
- `updatedAt` (string, optional) — Last update timestamp
- `name` (string, optional) — Vendor name
- `description` (string, optional, nullable) — Vendor description
- `address` (list of string, optional) — Vendor location/address
- `isActive` (boolean, optional) — Whether the vendor is active
- `primaryEmail` (string, optional, nullable) — Primary contact email
- `primaryPhone` (string, optional, nullable) — Primary contact phone
- `number` (integer, optional) — Vendor number (e.g., 1234)
- `vendorType` (enum, optional, nullable) — The type of vendor
  - Allowed values: `CONSULTANT`, `FINANCING`, `LOGISTICS`, `MANUFACTURER`, `SUBCONTRACTOR`, `SUPPLIER`
- `website` (string, optional, nullable) — Vendor website URL
- `projectIds` (list of integer, optional) — IDs of projects this vendor is linked to
- `custom` (map from string to any, optional) — Custom fields

## Errors

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

### 404 Not Found Error

Resource not found

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

## Examples

**Response**

```json
{
  "id": 1,
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "name": "string",
  "description": "string",
  "address": [
    "string"
  ],
  "isActive": true,
  "primaryEmail": "string",
  "primaryPhone": "string",
  "number": 1,
  "vendorType": "CONSULTANT",
  "website": "string",
  "projectIds": [
    1
  ],
  "custom": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/vendors/vendor_id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/vendors/vendor_id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/vendors/vendor_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/vendors/vendor_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.coperniq.io/v1/vendors/vendor_id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.coperniq.io/v1/vendors/vendor_id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/vendors/vendor_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/vendors/vendor_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```